Bug 485898 - KMS:M56GL:Mobility FireGL V5200 DVI screen remains blank when enabled with xrandr
KMS:M56GL:Mobility FireGL V5200 DVI screen remains blank when enabled with xr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 05:52 EST by Nigel Jones
Modified: 2010-06-28 07:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:18:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log file (123.33 KB, text/plain)
2009-02-17 05:52 EST, Nigel Jones
no flags Details

  None (edit)
Description Nigel Jones 2009-02-17 05:52:37 EST
Created attachment 332208 [details]
xorg log file

Description of problem:
DVI screen remains blank when enabled with xrandr


Thinkpad T60p
ATI FireGL V5200
xorg.conf set for a virtual 3200x1200 screen & using radeon driver with EXA
Also occurs with no xorg.conf

WHen system boots it typically has only the internal LCD connected.
When the laptop is docked it acquires an additional DVI connected screen
Both are 1600x1200
a few days ago this was working but appears to have stopped with recent X/kernel/driver updates

These commands are normally used to enable the second screen
xrandr --auto
xrandr --output LVDS --left-of DVI-0 --mode 1600x1200

xrandr -q is now reporting
[jonesn@snowdon ~]$ xrandr -q
Screen 0: minimum 320 x 200, current 3200 x 1200, maximum 3200 x 1600
VGA-0 disconnected (normal left inverted right x axis y axis)
LVDS connected 1600x1200+0+0 (normal left inverted right x axis y axis) 304mm x 228mm
   1600x1200      60.0*+   60.0     50.0  
   1280x1024      60.0  
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
DVI-0 connected 1600x1200+1600+0 (normal left inverted right x axis y axis) 518mm x 324mm
   1600x1200      60.0*+
   1280x1024      70.0     60.0  
   1152x864       75.0  
   1024x768       85.0     75.0     60.0  
   832x624        74.6  
   800x600        85.1     75.0     60.3  
   640x480        85.0     75.0     59.9  
   720x400        70.1  

and xdpyinfo
[jonesn@snowdon ~]$ xdpyinfo | grep dimensions
  dimensions:    3200x1200 pixels (608x228 millimeters)

Yet the DVI screen remains blank. It is active as the power led is lit and crucially the mouse pointer can be seen on it. However if any windows are dragged over, the portion on the DVI screen remains black-on-black and not visible.

No kernel messages in dmesg when xrandr used

Some kind of palette/reset issue perhaps?


Version-Release number of selected component (if applicable):
kernel-PAE-2.6.29-0.119.rc5.fc11.i686
xorg-x11-drv-ati-6.10.0-2.fc11.i386
xorg-x11-server-Xorg-1.5.99.902-10.fc11.i386
xorg-x11-server-utils-7.4-5.fc11.i386

How reproducible:
every time with current sw levels
Occurs with or without an xorg.conf

Steps to Reproduce:
1.
2.
3.
  
Actual results:
second screen not usable

Expected results:
second screen works ok

Additional info:
Comment 1 Nigel Jones 2009-02-23 05:00:11 EST
still occuring with current rawhide updates upto/including 2.6.29-0.137.rc5.git4.fc11.i686.PAE

However noticed that if I run the script above to enable screen #2. then suspend/resume, the second screen then works correctly.
Comment 2 Bug Zapper 2009-06-09 07:27:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matěj Cepl 2009-11-05 13:22:04 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Nigel Jones 2009-11-18 04:53:36 EST
This problem no longer occurs with F12 gold and may be closed. Thanks.
Comment 5 Bug Zapper 2010-04-27 08:59:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Vedran Miletić 2010-05-24 14:36:03 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 7 Bug Zapper 2010-06-28 07:18:14 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.